#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int q, n, k, t, i;
    scanf("%lld", &q);
    for(i=0;i<q;i++)
    {
        scanf("%lld%lld%lld", &n, &k, &t);
    }
    printf("Ne postoji");
    return 0;
}